---
- name: "check if property file {{ property_file }} exists"
  ansible.builtin.stat:
    path: "{{ base_dir }}/vars/{{ property_file }}"
  delegate_to: localhost
  register: property_stat

- name: "include property file {{ property_file }}"
  ansible.builtin.include_vars: "{{ base_dir }}/vars/{{ property_file }}"
  when: property_stat.stat.exists
